| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
QoreProgramContextHelper Class Reference

allows for external modules to set the current Program context explicitly More...

`#include <QoreProgram.h>`

## Public Member Functions
DLLEXPORT | QoreProgramContextHelper (QoreProgram *pgm)
| sets the current Program context
DLLEXPORT | ~QoreProgramContextHelper ()
| restores the previous Program context

## Detailed Description

allows for external modules to set the current Program context explicitly

Since
  Qore 0.8.13

The documentation for this class was generated from the following file:

- include/qore/QoreProgram.h